Subject: DED Problem

From: [email-masked] (alli semiu o)
Date: Tue, 22 Feb 94 17:45:14 CST

Dear friends,

I am a LAD with a DED principle,  my husband keeped his F-1 until he graduated,
then, he got the employment authorization card in that month which is May, 1992.
My F-2 has not changed until I filed my application.  The local INS accepted
my I-485 in last Aug.  and I will go to interview next month.  

What going to happen?  Are they going to ask me to go to China to do the final
process?  Do I need fill out all the forms again?  Can I stay here and get
the working permit card renew?  How about the priority date?  I'm so worry
about all of these.

Is anyone has the same situation as mine?  Any suggestion and experinces are
appreciated.